package request


type AlibabaWdkItemMerchantstoreskuCreateRequest struct {
    /*
        门店编码     */
    StoreId  *string `json:"store_id" required:"true" `
    /*
        商品编码     */
    SkuCode  *string `json:"sku_code" required:"true" `
    /*
        新建参数，是个json字符串     */
    Params  *string `json:"params" required:"true" `
    /*
        机构     */
    OrgCode  *string `json:"org_code" required:"true" `
}

func (s *AlibabaWdkItemMerchantstoreskuCreateRequest) SetStoreId(v string) *AlibabaWdkItemMerchantstoreskuCreateRequest {
    s.StoreId = &v
    return s
}
func (s *AlibabaWdkItemMerchantstoreskuCreateRequest) SetSkuCode(v string) *AlibabaWdkItemMerchantstoreskuCreateRequest {
    s.SkuCode = &v
    return s
}
func (s *AlibabaWdkItemMerchantstoreskuCreateRequest) SetParams(v string) *AlibabaWdkItemMerchantstoreskuCreateRequest {
    s.Params = &v
    return s
}
func (s *AlibabaWdkItemMerchantstoreskuCreateRequest) SetOrgCode(v string) *AlibabaWdkItemMerchantstoreskuCreateRequest {
    s.OrgCode = &v
    return s
}

func (req *AlibabaWdkItemMerchantstoreskuCreateRequest) ToMap() map[string]interface{} {
    paramMap := make(map[string]interface{})
    if(req.StoreId != nil) {
        paramMap["store_id"] = *req.StoreId
    }
    if(req.SkuCode != nil) {
        paramMap["sku_code"] = *req.SkuCode
    }
    if(req.Params != nil) {
        paramMap["params"] = *req.Params
    }
    if(req.OrgCode != nil) {
        paramMap["org_code"] = *req.OrgCode
    }
    return paramMap
}

func (req *AlibabaWdkItemMerchantstoreskuCreateRequest) ToFileMap() map[string]interface{} {
    fileMap := make(map[string]interface{})
    return fileMap
}